%% Modifdied Code of GK (2015) AEJM
% AKL Dec 2015

% First-stage regression
%reg_unres1 = ols(YY(:,1), XX ); %#ok<*NASGU> % Unrestricted regression 1
VAR.n_m = VAR.k;

% GK code
Res_m = VAR.res(VAR.T-VAR.T_m-VAR.T_m_end+1:VAR.T-VAR.T_m_end,:)-[ones(VAR.T_m,1) VAR.m]*Phib;
Res_const   =   VAR.res(VAR.T-VAR.T_m-VAR.T_m_end+1:VAR.T-VAR.T_m_end,1)-ones(VAR.T_m,1)*(ones(VAR.T_m,1)\VAR.res(VAR.T-VAR.T_m-VAR.T_m_end+1:VAR.T-VAR.T_m_end,1));
XX_m    =   [ones(VAR.T_m,1) VAR.m];
%Calculate robust standard errors
SS_m  =   zeros(VAR.n_m+1,VAR.n_m+1);
for ii=1:VAR.T_m
    SS_m  =   SS_m+1/VAR.T_m*XX_m(ii,:)'*XX_m(ii,:)*Res_m(ii,1)^2;
end;
Avarb_m     =   inv(1/VAR.T_m*XX_m'*XX_m)*SS_m*inv(1/VAR.T_m*XX_m'*XX_m);
RR_m     =   [zeros(VAR.n_m,1) eye(VAR.n_m)];
WW_m    =   VAR.T_m*(RR_m*Phib(:,1))'*inv(RR_m*Avarb_m*RR_m')*(RR_m*Phib(:,1));
VAR.F_m_rob     =   WW_m/VAR.n_m;

SST_m = Res_const'*Res_const;
SSE_m = Res_m(:,1)'*Res_m(:,1);
VAR.F_m = ((SST_m-SSE_m)/VAR.n_m)/(SSE_m/(length(VAR.res(VAR.T-VAR.T_m-VAR.T_m_end+1:VAR.T-VAR.T_m_end,1))-(VAR.n_m+1)));
VAR.R2_m = (1-SSE_m/(SST_m));
VAR.R2adj_m = VAR.R2_m-(VAR.n_m/((length(VAR.res(VAR.T-VAR.T_m-VAR.T_m_end+1:VAR.T-VAR.T_m_end,1))-(VAR.n_m+1))))*(1-VAR.R2_m);
VAR.XX_m = XX_m;
