%% Figure 1
clear; clc;

% Load the data
load fig1data;
%writetimetable(fig1data, 'fig1data.csv');

figure(1);
%patch(XXreddy,YY,[.9 .9 .9],'EdgeColor','white'); hold on;
%patch(XXrajan,YY,[.9 .9 .9],'EdgeColor','white'); hold on;
subplot(2,1,1);
set(gca, 'Layer', 'top')
p1 = plot(fig1data.Time,fig1data.repo,'-.k','LineWidth',2); hold on;
p2 = plot(fig1data.Time,fig1data.crr,'--','LineWidth',2);
p3 = plot(fig1data.Time,fig1data.bankr,':r','LineWidth',2);
p4 = plot(fig1data.Time,fig1data.revrepo,'b','LineWidth',2);
legend([p1,p2,p3,p4],'Repo','CRR','Bank rate','Rev Repo'); %'CRR'

%figure;
subplot(2,1,2)
p1 = plot(fig1data.Time,fig1data.repo,'k','LineWidth',2); hold on;
%p2 = plot(fig1data.Time,fig1data.crr,'--');
p2 = plot(fig1data.Time,fig1data.OIS1mbb,'--r','LineWidth',2);
p3 = plot(fig1data.Time,fig1data.OIS1ybb,':','LineWidth',2);
legend([p1,p2,p3],'Repo','1mOIS','1yOIS'); %'CRR'
set(gcf, 'PaperUnits', 'inches');
set(gcf, 'PaperSize', [7 5]);
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperPosition', [0 0 7 5]);
set(gcf, 'renderer', 'painters');