%% Figure A.1
clear; clc;
addpath('aux_files');

%% Load the data
load figa1data;
%writetimetable(figa1data, 'figa1data.csv');

figure;
subplot(1,2,1)
scatter(figa1data.dOIS1mbb,figa1data.tf);
xlabel('1 month OIS');
ylabel('Target Factor');
lsline
regpf = olsrob_nodisp(table(figa1data.dOIS1mbb,figa1data.dOIS1ybb));
resid = regpf.Residuals.Raw;
subplot(1,2,2)
scatter(resid,figa1data.pf);
ylabel('Path Factor');
xlabel('1 year OIS residual');
lsline