%% Table 2
clear; clc;
%% Load the data

addpath('aux_files');

load tab2data;
%writetimetable(tab2data, 'tab2data.csv');
 
asset_list = {'dOIS1mbb','dOIS3mbb','dOIS6mbb','dOIS9mbb','dOIS1ybb'};
nassets = length(asset_list);    
assets_rbidays = tab2data{rbidum,asset_list};
%assets_rbidays1 = rbidataeff{:,asset_list};
assets_nonrbidays = tab2data{~rbidum,asset_list};
    
table2 = NaN(5,6);
table2(1:nassets,1:3) = [nanmean(assets_rbidays)' nanstd(assets_rbidays)' sum(~isnan(assets_rbidays))'];  
table2(1:nassets,4:6) = [nanmean(assets_nonrbidays)' nanstd(assets_nonrbidays)' sum(~isnan(assets_nonrbidays))']   
