%% Table A.4
clear; clc;
addpath('aux_files');

%% Load the data
load taba456data 

% for jj = 1:4
%     tmp = taba456data{jj};
%     fname = strcat('taba456data_',num2str(jj)','.csv');
%     writetimetable(tmp,fname);
% end

tab_10y = NaN(9,8);

for ss = 1:4
    
tf = taba456data{ss}.tf;
pf = taba456data{ss}.pf;
d10yri= taba456data{ss}.d10yri;


% 10 year on only target factor
[regtf_10y,~,~,~,opttf_10y.tstat] = olsrob_nodisp(table(tf,d10yri));
tabtf_10y(:,ss) = outreg2(regtf_10y,opttf_10y); 

% 10 year on target and path factor
[regtfpf_10y,~,~,~,opttfpf_10y.tstat] = olsrob_nodisp(table(tf,pf,d10yri));
tabtfpf_10y(:,ss) = outreg2(regtfpf_10y,opttfpf_10y);  



end


tab_10y(1:2,1:2:end-1) = tabtf_10y(1:2,:);
tab_10y(5:end,1:2:end-1) = tabtf_10y(3:end,:);
tab_10y(:,2:2:end) = tabtfpf_10y

