%% Table A.5
clear; clc;
addpath('aux_files');

%% Load the data
load taba456data 



tab_nifty = NaN(9,8);


for ss = 1:4
    
tf = taba456data{ss}.tf;
pf = taba456data{ss}.pf;
nifty = taba456data{ss}.nifty;


% Nifty on only target factor
[regtf_nifty,~,~,~,opttf_nifty.tstat] = olsrob_nodisp(table(tf,nifty));
tabtf_nifty(:,ss) = outreg2(regtf_nifty,opttf_nifty);

% Nifty on target and path factor
[regtfpf_nifty,~,~,~,opttfpf_nifty.tstat] = olsrob_nodisp(table(tf,pf,nifty));
tabtfpf_nifty(:,ss) = outreg2(regtfpf_nifty,opttfpf_nifty);



end



tab_nifty(1:2,1:2:end-1) = tabtf_nifty(1:2,:);
tab_nifty(5:end,1:2:end-1) = tabtf_nifty(3:end,:);
tab_nifty(:,2:2:end) = tabtfpf_nifty


