%% Table A.6
clear; clc;
addpath('aux_files');

%% Load the data
load taba456data 

tab_inr = NaN(9,8);

for ss = 1:4
    
tf = taba456data{ss}.tf;
pf = taba456data{ss}.pf;
inr = taba456data{ss}.inr;


% inr  on only target factor 
[regtf_inr,~,~,~,opttf_inr.tstat] = olsrob_nodisp(table(tf,inr));
tabtf_inr(:,ss) = outreg2(regtf_inr,opttf_inr);

% inr  on target and path factor
[regtfpf_inr,~,~,~,opttfpf_inr.tstat] = olsrob_nodisp(table(tf,pf,inr));
tabtfpf_inr(:,ss) = outreg2(regtfpf_inr,opttfpf_inr);  

end


tab_inr(1:2,1:2:end-1) = tabtf_inr(1:2,:);
tab_inr(5:end,1:2:end-1) = tabtf_inr(3:end,:);
tab_inr(:,2:2:end) = tabtfpf_inr
